# moodle-local_treestudyplan


## Adding links to the primary navigation menu
The studyplan plugin will automatically add links to the flat navigation bat used in Moodle 3.11 and below
However, Moodle 4.0-4.2 use a new "primary navigation" bar, and does not yet support customizing the primary navigation bar (it is a planned feature though)

**Use the following workaround:**
You can add custom primary menu items in **Site administration** -> **Appearance** -> **Theme settings**
That page contains an item called  "Custom menu items"
Add the following into that area to custimize it
	//    [your name for my studyplan]|/local/treestudyplan/myreport.php
	//    [your name for studyplan viewing]|/local/treestudyplan/view-plan.php
	//    [your name for studyplan managing]|/local/treestudyplan/edit-plan.php
	// For example:
```
Mijn studieplan|/local/treestudyplan/myreport.php||nl
Studieplannen|/local/treestudyplan/view-plan.php||nl
Studieplannen beheren|/local/treestudyplan/edit-plan.php||nl
My study plan|/local/treestudyplan/myreport.php||en
Study plans|/local/treestudyplan/view-plan.php||en
Manage Study plans|/local/treestudyplan/edit-plan.php||en
```

## Dev Notepad
### Size matching and grid view
Link to jsfiddle for size matching with different scroll area (frozen line headings): https://jsfiddle.net/pmkuipers/sfweghr1/4/
Use proper grid styling for column resizing (see same fiddle)


### Scroll bar syling
example style with cross-browser support
```
:root{
  --primary: #006DDD;
 
}
div.scroll {
	height: 50em;
	overflow-y: scroll;
  	scrollbar-color: var(--primary) color-mix(in srgb, var(--primary) 20%, white);
  	scrollbar-width: thin;
}
div.scroll::-webkit-scrollbar {
  width: 8px;
}

/* Track */
div.scroll::-webkit-scrollbar-track {
  background:  color-mix(in srgb, var(--primary) 20%, white);
}
 
/* Handle */
div.scroll::-webkit-scrollbar-thumb {
  background:var(--primary); 
}

```